html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 14px;
    font: inherit;
    vertical-align: baseline;
    font-family: Yekan-Bakh-VF;
}

:root {
    --main: #fec00f;
}

@font-face {
    font-family: "Yekan-Bakh-VF";
    src: url(assets/font/YekanBakhFaNum-VF.woff),
    src: url(assets/font/YekanBakhFaNum-VF.woff2);
}

html {
    direction: rtl;
    text-align: right;
}

main {
    background: #f8f9fa;
}

/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
    display: block;
}

ol, ul {
    list-style: none;
}

blockquote, q {
    quotes: none;
}

blockquote:before, blockquote:after,
q:before, q:after {
    content: '';
    content: none;
}

a {
    text-decoration: none;
}

body {
    overflow-x: hidden;
    font-style: normal;
    font-weight: normal;
    font-family: Yekan-Bakh-VF;
}

textarea:focus, input:focus {
    outline: none;
}

.nav-link {
    font-size: 15px;
    padding: 10px 20px !important;
    color: #444 !important;
    display: flex;
    align-items: center;
}

.nav-link.active {
    background-color: var(--main) !important;
}

.nav-link img {
    width: 25px;
    height: auto;
    display: block;
    margin-left: 6px;
}

.menu {
    height: 100%;
    width: 300px;
    position: fixed;
    z-index: 9999;
    top: 0;
    right: -300px;
    background-color: #fff;
    overflow-x: hidden;
    transition: 0.5s;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    border-radius: 10px 0 0 10px;
    -webkit-backdrop-filter: blur(20px);
    backdrop-filter: blur(20px);
    box-shadow: -10px 0 20px 20px #00000008;
}

#overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 100;
    display: none;
    background-color: rgba(255, 255, 255, .3);
    backdrop-filter: blur(5px);
}

#overlay.show {
    display: block;
}

.menu-wrapper {
    height: 100%;
    margin: 0 15px;
    border-right: 1px dashed var(--brand-border);
    border-left: 1px dashed var(--brand-border);
    padding: 15px 0;
}

.menu {
    height: 100%;
    width: 300px;
    position: fixed;
    z-index: 9999;
    top: 0;
    right: -300px;
    background-color: #fff;
    overflow-x: hidden;
    transition: 0.5s;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    border-radius: 10px 0 0 10px;
    -webkit-backdrop-filter: blur(20px);
    backdrop-filter: blur(20px);
    box-shadow: -10px 0 20px 20px #00000008;
}

#overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 100;
    display: none;
    background-color: rgba(255, 255, 255, .3);
    backdrop-filter: blur(5px);
}

#overlay.show {
    display: block;
}

.menu-wrapper {
    height: 100%;
    margin: 0 15px;
    border-right: 1px dashed var(--brand-border);
    border-left: 1px dashed var(--brand-border);
    padding: 15px 0;
}

.menu.open {
    box-shadow: -188px 172px 131px -100px #ffffff inset, -55px 0 30px -45px #8989891f;
    right: 0;
}

.menu .top-section {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-bottom: 40px;
    border-bottom: 1px dashed var(--brand-border);
}

.menu .logo img {
    width: 60px;
    height: auto;
    display: block;
    margin: 0 auto;
}

.menu .closeButton {
    border: 1px solid var(--brand-border);
    cursor: pointer;
    border-radius: 8px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding-inline: 16px;
    height: 35px;
}

.menu .closeButton span {
    font-weight: 500;
    color: #1e2124;
    display: block;
    font-size: 12px;
    margin-right: 5px;
}

.menu .closeButton img {
    width: 5px;
    height: auto;
    margin-top: -2px;
}

.bd-placeholder-img {
    font-size: 1.125rem;
    text-anchor: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
}

.b-example-divider {
    height: 3rem;
    background-color: rgba(0, 0, 0, .1);
    border: solid rgba(0, 0, 0, .15);
    border-width: 1px 0;
    box-shadow: inset 0 .5em 1.5em rgba(0, 0, 0, .1), inset 0 .125em .5em rgba(0, 0, 0, .15);
}

.b-example-vr {
    flex-shrink: 0;
    width: 1.5rem;
    height: 100vh;
}

.bi {
    vertical-align: -.125em;
    fill: currentColor;
}

.nav-scroller {
    position: relative;
    z-index: 2;
    height: 2.75rem;
    overflow-y: hidden;
}

.nav-scroller .nav {
    display: flex;
    flex-wrap: nowrap;
    padding-bottom: 1rem;
    margin-top: -1px;
    overflow-x: auto;
    text-align: center;
    white-space: nowrap;
    -webkit-overflow-scrolling: touch;
}

.desktop-aside {
    box-shadow: 0 5px 60px #ddd;
}

.aside-header img {
    width: 140px;
    height: auto;
}

.aside-profile {
    font-size: 15px;
    color: #333;
    font-weight: 700;
    display: flex;
    align-items: center;
}

.aside-profile img {
    width: 25px;
    display: block;
    margin-left: 5px;
}

h1, h2, h3, h4, h5, h6 {
    font-weight: 500;
}

.aside-nav {
    height: 100%;
}

header {
    box-shadow: 0 5px 60px #ddd;
    border-radius: 5px;
    position: relative;
}

header .center img {
    width: 100px;
    height: auto;
}

header .left img {
    width: 25px;
    height: 25px;
}

.box, .card {
    box-shadow: 0 5px 60px #ddd;
    border-radius: 6px;
    padding: 10px 15px;
    color: #484848;
    margin: 20px 0;
}

.box h2, .card h2 {
    font-size: 19px;
}

.box li {
    margin: 10px 0;
}

table th, td {
    text-align: center !important;
    border: 1px solid #f2f2f2;
}

table tr {
    border: 1px solid #e6e6e6;
}

.table > :not(caption) > * > * {
    padding: .5rem 1.5rem !important;
}

.btn-close {
    margin: 0 !important;
}

.modal-body li {
    margin: 10px 0;
    border: 1px solid #eaeaea;
    padding: 15px 10px;
    border-radius: 6px;
    display: flex;
    flex-direction: column;
}

.modal-body .form-label {
    font-size: 13px;
}

.popup-notes-textarea {
    font-size: 13px;
}

.notes-status-indicator {
    font-size: 13px;
}

.viewusermodal li span.title {
    font-weight: 500;
    display: inline-block;
    margin-left: 20px;
}

.viewusermodal .qr img {
    display: block;
    margin: 10px auto;
    width: 170px;
    height: auto;
}

.copybtn {
    border-radius: 0 7px 7px 0 !important;
}

.form-floating .note {
    font-size: 14px;
}

.form-floating textarea {
    resize: none;
    height: 60px;
}

.account-code {
    text-align: left !important;
    resize: none;
    overflow: hidden;
    height: 85px;
    border-radius: 7px 0 0 7px !important;
}

textarea:focus, input:focus {
    outline: none !important;
    border-color: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
}

.alert p {
    font-size: 14px;
}

.alert.text-bg-light {
    border-color: #d7d7d7 !important;
    display: flex;
    flex-direction: column;
}

.alert.text-bg-light p {
    margin-top: 6px;
}

.learnlist {
    max-width: 500px;
    background-color: transparent;
    box-shadow: 0 5px 30px #8080800f;
    border-radius: 7px;
    border: 1px solid #eaeaea;
    margin: 50px 25px;
    padding: 15px;
}

.learnlist h3 {
    font-size: 17px !important;
    font-weight: 400 !important;
    margin-right: 10px !important;
    display: flex !important;
    align-items: center !important;
}

.learnlist h3 img {
    margin: 0 0 0 5px !important;
    border: none !important;
    border-radius: 0 !important;
}

.learnlist ul {
    margin-right: 20px;
}

.learnlist ul a {
    font-size: 16px;
    line-height: 1.8;
    color: #777;
    transition: all .4s;
}

.learnlist ul a:hover {
    margin-right: 5px;
}

.learnblog h3 {
    font-weight: 500;
    margin: 25px 10px;
    color: #2461a4;
    font-size: 20px;
}

.learnblog p {
    margin: 20px 0;
    line-height: 2;
}

.learnblog img {
    max-width: 100%;
    height: auto;
    display: block;
    margin: 20px auto;
    border-radius: 10px;
    border: 2px solid gray;
}

.mobile_logo {
    width: 40px;
    height: auto;
    margin: 0 auto;
    display: block;
}

.contactmodal img {
    width: 100%;
    height: auto;
    margin: 0 auto 20px;
    display: block;
    border-radius: 5px;
}

ul.sharing img {
    width: 100%;
    border-radius: 5px;
}

.blog-contact {
    margin-top: 50px;
}

.blog-contact img {
    max-width: 400px;
    height: auto;
    border: none;
    border-radius: 0;
}


.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 9999; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0, 0, 0); /* Fallback color */
    background-color: rgba(0, 0, 0, 0.4); /* Black w/ opacity */
}

/* Modal Content/Box */
.modal-content {
    background-color: #fefefe;
    margin: 15% auto;
    padding: 0;
    border: 1px solid #888;
    width: 80%;
}

.modal-title {
    font-size: 14px;
}

#modalSubtitle {
    font-size: 13px;
}

.modal-body .table td {
    text-align: right !important;
    font-size: 13px !important;
}

.modal-footer .form-select {
    border: 1px solid #dfdfdf !important;
    font-size: 13px !important;
}

.modal-footer label {
    font-size: 14px;
    margin-bottom: 5px;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}


.login-body {
    width: 100vw;
    height: 100vh;
}

.login {
    position: absolute;
    top: 25%;
    left: calc(50% - 185px);
    width: 370px;
    padding: 30px;
    border-radius: 20px;
    box-shadow: 0 5px 60px #f1f1f1;
}

.login h1 {
    font-size: 20px;
    color: #000;
    text-align: center;
    margin-bottom: 10px;
}


.login-body input {
    width: 100%;
    margin-bottom: 10px;
    background: rgba(0, 0, 0, 0.1);
    outline: none;
    padding: 10px;
    font-size: 13px;
    color: #000;
    border: 0;
    border-radius: 4px;
    -webkit-transition: box-shadow .5s ease;
    -moz-transition: box-shadow .5s ease;
    -o-transition: box-shadow .5s ease;
    -ms-transition: box-shadow .5s ease;
    transition: box-shadow .5s ease;
}

input:focus {
    box-shadow: inset 0 -5px 45px rgba(100, 100, 100, 0.4), 0 1px 1px rgba(255, 255, 255, 0.2);
}

.login-logo {
    width: 100px;
    height: auto;
    margin: 0 auto 20px;
    display: block;
}

.login-body .btn:hover, .btn:active, .btn.active, .btn.disabled, .btn[disabled] {
    background-color: #e6e6e6;
}

.login-body .btn-primary.active {
    color: rgba(255, 255, 255, 0.75);
}

.login-body .btn-block {
    width: 100%;
    display: block;
    background-color: var(--main);
    border: 0;
    color: #000;
    font-size: 14px;
    padding: 8px 0;
    font-weight: 400;
    transition: all .3s;
}

.login-body .btn-block:hover {
    background-color: #f1b711;
}

.dataTables_filter, .dataTables_length {
    margin-block: 15px 25px;
}

.dataTables_filter label {
    font-size: 13px;
    display: flex;
    align-items: center;
    gap: 10px;
}

.dataTables_filter input {
    border: 1px solid #dfdfdf !important;
    background: #f5f5f5 !important;
}

.dataTables_length label {
    font-size: 13px;
}

.dataTables_length select {
    border: 1px solid #dfdfdf !important;
    background: #f5f5f5 !important;
}

table.dataTable > thead > tr > th {
    font-size: 13px !important;
    font-weight: 600 !important;
}

table.dataTable td {
    font-size: 13px !important;
}

table.dataTable td .btn {
    font-size: 13px;
}

.form-select-sm {
    font-size: 13px;
    text-align: center;
}

.dataTables_wrapper .dataTables_paginate .paginate_button {
    font-size: 13px;
}

.dataTables_wrapper .dataTables_paginate .paginate_button.current, .dataTables_wrapper .dataTables_paginate .paginate_button.current:hover {
    background: #f5f5f5 !important;
    border-color: #dfdfdf !important;
}

#frontend-leads-table_info {
    font-size: 13px !important;
    margin-top: 10px !important;
}

#frontend-leads-table_paginate {
    margin-top: 10px !important;
}

.box .title {
    font-size: 17px;
    font-weight: 600;
}

.boxHeader {
    margin-bottom: 20px;
}

.box.news li {
    display: flex;
    justify-content: space-between;
    margin-bottom: 15px;
    position: relative;
    padding-right: 10px;
    transition: all .3s;
    flex-direction: column;
}

.box.news li:hover {
    padding-right: 13px;
}

.box.news li::before {
    content: '';
    width: 5px;
    height: 8px;
    background-image: url(images/list-arrow.png);
    display: block;
    background-size: cover;
    position: absolute;
    top: 5px;
    right: -5px;
}

.box.news li .unread {
    width: 7px;
    height: 7px;
    background: red;
    border-radius: 50%;
    position: absolute;
    top: 6px;
    right: -7px;
}

.box.news li a {
    font-size: 13px;
    font-weight: 400;
    color: #222;
}

.box.news li span {
    font-size: 12px;
    color: gray;
}

.boxFooter a {
    text-align: left;
    display: block;
    font-size: 13px;
    color: #0d6efd;
}

.boxStatsWrapper {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    gap: 10px;
}

.box.stats {
    width: 48%;
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    margin: 0;
}

.box.stats img {
    width: 60px;
    height: auto;
}

.box.stats .left {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}

.box.stats span:first-child {
    font-size: 16px;
    color: #363636;
}

.box.stats span:last-child {
    font-weight: 800;
    font-size: 35px;
    color: var(--main);
    margin-top: -5px;
}

.form-remember {
    display: flex !important;
    gap: 5px;
}

.form-remember input {
    width: 20px !important;
    height: 20px !important;
    margin: 0 !important;
}

.form-remember input:checked {
    background-color: var(--main);
    border-color: var(--main);
}

.form-remember label {
    font-size: 14px;
}

.login-body .alert {
    font-size: 14px;
    padding: 10px;
}

.filter-wrapper, .dataTables_wrapper {
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.04);
    border-radius: 6px;
    padding: 10px 15px;
    color: #484848;
    background-color: #fff;
    z-index: 9;
    position: relative;
}

#static-phonebook-table_wrapper {
    box-shadow: none !important;
    padding: 0 !important;
}

#static-phonebook-table_filter {
    text-align: right;
    float: none; /* جلوگیری از شناور شدن پیش‌فرض دیتاتیبلز */
    margin-bottom: 20px;
}

#static-phonebook-table_filter label {
    width: 100%;
    display: block;
    font-weight: bold;
}

#static-phonebook-table_filter input {
    width: 100%;
    max-width: 100%;
    padding: 8px 10px;
    font-size: 13px;
    border-radius: 8px;
    border: 1px solid #ced4da;
    background-color: #f8f9fa;
    transition: all 0.3s ease;
    margin: 0; /* حذف مارجین پیش‌فرض دیتاتیبلز */
}

#static-phonebook-table_filter input:focus {
    background-color: #ffffff;
    border-color: #86b7fe;
    outline: 0;
    box-shadow: 0 0 0 0.25rem rgba(13, 110, 253, .25);
}

.ff-bi-row {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    margin-bottom: 20px;
}

.ff-bi-col {
    flex: 1;
    min-width: 300px;
}

.ff-bi-card {
    background: #ffffff;
    border-radius: 10px;
    padding: 15px 25px;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.04);
    transition: transform 0.3s ease;
    position: relative;
    overflow: hidden;
}

.ff-bi-counter-title {
    font-size: 14px;
    color: #5f6368;
    margin-bottom: 10px;
    font-weight: bold;
}

.ff-bi-counter-value {
    font-size: 36px;
    font-weight: 900;
    color: #1a73e8;
}

#dashboardNewsBody p {
    font-size: 14px;
    margin-bottom: 10px;
    line-height: 25px;
}

#dashboardNewsBody img {
    max-width: 100%;
    height: auto;
    border-radius: 4px;
    margin-block: 10px;
    display: block;
}

@media screen and (min-width: 600px) {

    .table > :not(caption) > * > * {
        padding: .5rem .5rem;
    }

}

@media screen and (min-width: 768px) {


    header .center img {
        display: block;
        margin: 0 auto;
    }

    header .right span {
        font-size: 13px;
    }

    .modal-dialog {
        max-width: 600px !important;
    }

    .alert.text-bg-light {
        flex-direction: row;
        align-content: center;
    }

    .box.stats {
        width: 32%;
    }

}

@media screen and (min-width: 992px) {
    header .center img {
        display: inline;
    }
}

@media screen and (min-width: 1200px) {
    .modal-dialog {
        max-width: 700px !important;
    }
}

@media screen and (min-width: 1400px) {

    .box.stats {
        width: 19%;
    }
}

@media screen and (min-width: 1920px) {
    .box {
    }

}